------------------------------------------------------------------
--                                                              --
--  File:  Checkpoint_TPCE_Database.SQL                         --
--         Microsoft TPC-E Benchmark Kit Ver. 1.5.1-1009        --
--         Copyright Microsoft  2007, 2008                      --
--                                                              --
------------------------------------------------------------------
USE	tpce
GO

DECLARE	@i			int,
		@loops		int,
		@time		datetime,
		@timestr	varchar(10)

SELECT	@i		= 0,
		@time	= getdate(),
		@loops	= 1000

WHILE @i < @loops
BEGIN
	CHECKPOINT	420
	SET	@time	= DATEADD(second, 450, @time)
	SET	@timestr = SUBSTRING(CONVERT(varchar(30), @time, 120), 12, 8)
	IF (@time > GETDATE())
		WAITFOR TIME @timestr
	SELECT	@i	= @i + 1
END
