------------------------------------------------------------------
--                                                              --
--  File:   Create_DM_Audit_Table.SQL                           --
--          Microsoft TPC-E Benchmark Kit Ver. 1.5.1-1009       --
--         Copyright Microsoft  2007, 2008                      --
--                                                              --
------------------------------------------------------------------
USE tpce
GO

IF EXISTS ( SELECT name FROM sysobjects WHERE name = 'DM_Audit_Table' )
    DROP TABLE DM_Audit_Table
GO

CREATE TABLE DM_Audit_Table (
                                Table_Name      varchar(18),
                                Cust_ID         IDENT_T,
                                Acct_ID         IDENT_T,
                                Company_ID      IDENT_T,
                                Day_of_Month    tinyint,
                                Symbol          varchar(15),
                                Tax_ID          char(4),
                                Vol_Increment   smallint,
                                TimeStamp       datetime
                            )
GO
                      
