/*
*	Copyright 2002,2003, Microsoft Corporation
*	Microsoft Confidential.
*	Written by Sergey Vasilevskiy, 2002-2003.
*/
#pragma once

#include "stdafx.h"

class CMarketWatchDB : public CTxnHarnessDBBase, public TPCE::CMarketWatchDBInterface
{	
	SQLHSTMT					    m_hstmtFrame1;

	TPCE::TMarketWatchFrame1Input	Frame1Input;
	TPCE::TMarketWatchFrame1Output	Frame1Output;

	SQLINTEGER					    m_Ind;

public:
	CMarketWatchDB(CDBConnection *pDBConn);

	void DoMarketWatchFrame1(const TPCE::TMarketWatchFrame1Input*   pFrame1Input, 
                             TPCE::PMarketWatchFrame1Output         pFrame1Output);

	// Function to pass any exception thrown inside
	// database class frame implementation
	// back into the database class
	void Cleanup(void* pException);

};
