------------------------------------------------------------------
--                                                              --
--  File:   Isolation2_S3.SQL                                   --
--          Microsoft TPC-E Benchmark Kit Ver. 1.5.1-1009       --
--          Copyright Microsoft  2007, 2008                     --
--                                                              --
--  Implements TPC-E Isolation test #2                          --
--  P3 Test in Read-Write                                       --
--                                                              --
------------------------------------------------------------------
USE tpce
GO

BEGIN TRANSACTION

DECLARE @trade_id           bigint,
        @trade_qty          numeric(6,0)

---------------------------------------------------------
--- replace the trade id below with 
--- that returned in the Isolation2_S1 script.
---------------------------------------------------------
SELECT  @trade_id   = 200004363500001,
        @trade_qty  = 100
---------------------------------------------------------

--- run Trade Result Isolation 2_1
EXEC TradeResult_Iso2_1     @trade_id,
                            @trade_qty

COMMIT
GO
